.TH tones 1 "15Mar97" "Release 1" "Linux System Manual"
.SH NAME
.I tones \- a sequential tone generator program
.SH SYNOPSIS
.B tones [-8|-16] [-s samplerate] [-loop] [-w wavfile|-o file] [waveform] T freq(s)
.SH DESCRIPTION
.I tones
generates one or more tones of similar type (waveform) and duration (T
millisecs) of the specified frequencies, or mixtures of frequencies. 
Possible waveforms are, sine
(default), cosine, square, pulse, triangle, sawtooth. T is the number of
millisecs that each tone is played for. Frequencies (freq(s)) are specified
in Hertz as integers. A frequency of 0 causes T millisecs of silence to be
played.
.PP
Several frequencies can be played at once, by specifying the frequencies
required joined by a punctuation character (but no spaces!).
.PP
e.g.  1000,1500,2000 specifies that the three frequencies are played together.
.PP
The digital samples (either 8 or 16 bits) are played by default to the Linux
.I /dev/dsp
device at a samplerate of 22050 samples per second, in mono mode.
.PP
Fractional Hertz frequencies are not supported. Of course, only frequencies 
less than half the samplerate (number of samples/sec) can be generated.
.PP
Instead of playing the output to 
.I /dev/dsp
the samples can be written to a file as raw samples (-o file) or written in
WAV format (-w wavfile). These data files can then be played back quickly
with a raw data or WAV file player (e.g. vplay) without the overhead of
actually generating the samples.
.SH OPTIONS
.IP -8\ |\ -b\ 8
set 8 bit unsigned data samples
.IP -16\ |\ -b\ 16
set 16 bit signed little-endian data samples.
.IP -a
when used in conjunction with the -o option, data is appended to the file.
.IP -f
when used in conjunction with the -o or -w options, any existing file is
silently overwritten.
.IP -h
display usage and help info
.IP -loop
play the tone sequence repetitively. Forced off if writing samples to a file
with the -o or -w options.
.IP -o\ file
write out samples to a raw data file. You will have to remember the data
format, e.g. samplerate and 8/16 bit.
.IP -s\ samplerate
set the number of samples per second to samplerate. For many simple uses a
samplerate of 8000 is sufficient, making any saved data files smaller.
.IP -w\ wavfile
write samples out in WAV format to wavfile. The WAV header contains details
of whether the data is 8 or 16 bits and the sampling rate. You cannot use the
append (-a) option with WAV files.
.IP -v
be verbose
.SH EXAMPLES
.IP tones\ 50\ 1000\ 700+1200\ 800,1100,1300
generates 3 50 millisecs sine tones, the first consisting of only 1000Hz,
the second of 700Hz and 1200Hz and the third of 800Hz, 1100Hz and 1300Hz
.IP tones\ -loop\ square\ 200\ 700\ 900\ 400\ 500
generates a sequence of 4 200 millisecs square wave tones which is repeated
until the program is interupted.
.IP tones\ -w\ seq.wav\ 70\ 1016\ 1200\ 1080\ 1150\ 1016
generates a sequence of 5 70 millisecs sine tones, and instead of playing them
the samples are stored in WAV format in seq.wav which can be played by any
WAV file player.
.SH FILES
.SH
.SH SEE ALSO
sgen(1)
.SH BUGS
.SH
.SH COPYING
.I Copyright 1995, 1996, 1997 the author (see below)
.PP
The software described by this manual is covered by the GNU General
Public License, Version 2, June 1991, issued by :
.IP
Free Software Foundation, Inc.,
.br
675 Mass Ave,
.br
Cambridge, MA 02139, USA
.PP
Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice
are preserved on all copies.
.PP
Permission is granted to copy and distribute modified versions of this
manual under the conditions for verbatim copying, provided that the
entire resulting derived work is distributed under the terms of a
permission notice identical to this one.
.PP
Permission is granted to copy and distribute translations of this
manual into another language, under the above conditions for modified
versions, except that this permission notice may be included in
translation instead of in the original English.
.SH AUTHOR
.I Jim Jackson
.br
.I School of Computer Studies
.br
.I University of Leeds
.I The University of Leeds
.br
.I Leeds, LS2 9JT
.br
.I UK
.br
.sp
.I Email: jj@scs.leeds.ac.uk
.br
